curl --request GET \
--url https://api.botpress.cloud/v1/tables \
--header 'Authorization: Bearer <token>' \
--header 'x-bot-id: <x-bot-id>'{
"tables": [
{
"id": "<string>",
"name": "<string>",
"schema": {
"properties": {},
"additionalProperties": true,
"type": "object",
"$schema": "<string>",
"required": [
"<string>"
]
},
"factor": 1,
"frozen": true,
"tags": {},
"isComputeEnabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}Retrieves a list of all tables associated with your bot.
curl --request GET \
--url https://api.botpress.cloud/v1/tables \
--header 'Authorization: Bearer <token>' \
--header 'x-bot-id: <x-bot-id>'{
"tables": [
{
"id": "<string>",
"name": "<string>",
"schema": {
"properties": {},
"additionalProperties": true,
"type": "object",
"$schema": "<string>",
"required": [
"<string>"
]
},
"factor": 1,
"frozen": true,
"tags": {},
"isComputeEnabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}Documentation Index
Fetch the complete documentation index at: https://botpress-ak-docs-20-document-updating-variables-from-outsid.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bot id
Integration id
Integration alias
Integration name
User Id
User Role
Optional filters to narrow down the list by tags associated with tables.
Show child attributes
Returns a list of tables.
Show child attributes
Was this page helpful?